Bug 275816 - words locks up after a specific set of steps
Summary: words locks up after a specific set of steps
Status: RESOLVED FIXED
Alias: None
Product: calligrawords
Classification: Applications
Component: general (show other bugs)
Version: Git
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-16 14:19 UTC by Sune Vuorela
Modified: 2011-07-07 17:45 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
document to reproduce it (47.15 KB, application/vnd.oasis.opendocument.text)
2011-06-16 14:19 UTC, Sune Vuorela
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sune Vuorela 2011-06-16 14:19:41 UTC
Created attachment 61053 [details]
document to reproduce it

Version:           svn (using KDE 4.6.3) 
OS:                Linux


Using current master: v1.9.95.4-24820-g655b992

Reproducible: Always

Steps to Reproduce:
Load attached document
select all text (by using the mouse), go format -> paragraph and set 1.5 as line 
spacing
the document should now have two pages, the 2nd empty.
try delete the 2nd page.

Actual Results:  
application locks up

Expected Results:  
2nd page dissappears
Comment 1 Sebastian Sauer 2011-06-26 10:54:19 UTC
Cannot reproduce. 

I had to set double line spacing cause with 1.5 line spacing all of the text still matches to one page. After setting it to double line spacing I had two pages, the text was displayed on them as expected and it didn't locks up for me.

Maybe that was fixed meanwhile?
Comment 2 Sune Vuorela 2011-06-26 21:09:41 UTC
v1.9.95.4-25011-g746578d - still reproducible for me. I'm unsure what information I can provide you.

Backtraces ?
Comment 3 Sune Vuorela 2011-07-03 23:13:42 UTC
Still reproducible.

I tried breaking at random while looping. First I got some of these backtraces:

#0  0xf67ab4cb in QTextFrame::iterator::currentBlock (this=0xffffb6bc) at text/qtextobject.cpp:712
#1  0xf5746fc6 in KoTextLayoutArea::selectionBoundingBox (this=0x89571a0, cursor=...) at /home/pusling/git/calligra/libs/textlayout/KoTextLayoutArea.cpp:221
#2  0xf575d473 in KoTextDocumentLayout::selectionBoundingBox (this=0x87966d0, cursor=...) at /home/pusling/git/calligra/libs/textlayout/KoTextDocumentLayout.cpp:191
#3  0xf1893f05 in TextTool::textRect (this=0x899e010, cursor=...) at /home/pusling/git/calligra/plugins/textshape/TextTool.cpp:1482
#4  0xf1893f96 in TextTool::caretRect (this=0x899e010, cursor=0x87c76d4) at /home/pusling/git/calligra/plugins/textshape/TextTool.cpp:1474
#5  0xf189419b in TextTool::inputMethodQuery (this=0x899e010, query=Qt::ImMicroFocus, converter=...) at /home/pusling/git/calligra/plugins/textshape/TextTool.cpp:1134
#6  0xf7c1fd55 in KoToolProxy::inputMethodQuery (this=0x89823e8, query=Qt::ImMicroFocus, converter=...) at /home/pusling/git/calligra/libs/flake/KoToolProxy.cpp:402
#7  0xf21fc629 in KWCanvas::inputMethodQuery (this=0x8981b58, query=Qt::ImMicroFocus) at /home/pusling/git/calligra/words/part/KWCanvas.cpp:129
#8  0xf6b59d1a in QXIMInputContext::update (this=0x855d1f8) at inputmethod/qximinputcontext_x11.cpp:819
#9  0xf6561c58 in QWidget::updateMicroFocus (this=0x8e139b8) at kernel/qwidget.cpp:11214
#10 0xf656fddc in QWidget::qt_metacall (this=0x8e139b8, _c=QMetaObject::InvokeMetaMethod, _id=21, _a=0xffffbc28) at .moc/release-shared/moc_qwidget.cpp:212
#11 0xf6980222 in QLineEdit::qt_metacall (this=0x8e139b8, _c=QMetaObject::InvokeMetaMethod, _id=25, _a=0xffffbc28) at .moc/release-shared/moc_qlineedit.cpp:153
#12 0xf5ddce4d in metacall (object=0x8e139b8, cl=QMetaObject::InvokeMetaMethod, idx=25, argv=0xffffbc28) at kernel/qmetaobject.cpp:237
#13 QMetaObject::metacall (object=0x8e139b8, cl=QMetaObject::InvokeMetaMethod, idx=25, argv=0xffffbc28) at kernel/qmetaobject.cpp:232
#14 0xf5debb90 in QMetaObject::activate (sender=0x8e13b78, m=0xf6e675d8, local_signal_index=3, argv=0xffffbc28) at kernel/qobject.cpp:3278
#15 0xf6c265b5 in QLineControl::textChanged (this=0x8e13b78, _t1=...) at .moc/release-shared/moc_qlinecontrol_p.cpp:131
#16 0xf698546a in QLineControl::finishChange (this=0x8e13b78, validateFromState=-1, update=true, edited=false) at widgets/qlinecontrol.cpp:605
#17 0xf6985730 in QLineControl::internalSetText (this=0x8e13b78, txt=..., pos=2, edited=false) at widgets/qlinecontrol.cpp:636
#18 0xf697d5ec in setText (this=0x8e139b8, text=...) at ../../include/QtGui/private/../../../src/gui/widgets/qlinecontrol_p.h:204
#19 QLineEdit::setText (this=0x8e139b8, text=...) at widgets/qlineedit.cpp:386
#20 0xf2220ae8 in KWStatusBar::updateCursorPosition (this=0x8dff218) at /home/pusling/git/calligra/words/part/KWStatusBar.cpp:319
#21 0xf21efbd8 in KWStatusBar::qt_metacall (this=0x8dff218, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xffffbe54) at /home/pusling/git/calligra/build/words/part/moc_KWStatusBar.cpp:113
#22 0xf5ddce4d in metacall (object=0x8dff218, cl=QMetaObject::InvokeMetaMethod, idx=12, argv=0xffffbe54) at kernel/qmetaobject.cpp:237
#23 QMetaObject::metacall (object=0x8dff218, cl=QMetaObject::InvokeMetaMethod, idx=12, argv=0xffffbe54) at kernel/qmetaobject.cpp:232
#24 0xf5debb90 in QMetaObject::activate (sender=0x87c5a00, m=0xf7def340, local_signal_index=1, argv=0x0) at kernel/qobject.cpp:3278
#25 0xf7cfc0b5 in KoTextEditor::cursorPositionChanged (this=0x87c5a00) at /home/pusling/git/calligra/build/libs/kotext/KoTextEditor.moc:367
#26 0xf7cfc9f1 in KoTextEditor::deleteChar (this=0x87c5a00) at /home/pusling/git/calligra/libs/kotext/KoTextEditor.cpp:892
#27 0xf18e117a in DeleteCommand::deleteSelection (this=0x90d3db8) at /home/pusling/git/calligra/plugins/textshape/commands/DeleteCommand.cpp:152
#28 0xf18e1250 in DeleteCommand::deletePreviousChar (this=0x90d3db8) at /home/pusling/git/calligra/plugins/textshape/commands/DeleteCommand.cpp:109
#29 0xf18e1726 in DeleteCommand::redo (this=0x90d3db8) at /home/pusling/git/calligra/plugins/textshape/commands/DeleteCommand.cpp:72
#30 0xf5708662 in KUndo2QStack::push (this=0x825a070, cmd=0x90d3db8) at /home/pusling/git/calligra/libs/kundo2/kundo2stack.cpp:562
#31 0xf7cf795c in KoTextEditor::addCommand (this=0x87c5a00, command=0x90d3db8, addCommandToStack=true) at /home/pusling/git/calligra/libs/kotext/KoTextEditor.cpp:327
#32 0xf189c4ce in TextTool::keyPressEvent (this=0x899e010, event=0xffffc814) at /home/pusling/git/calligra/plugins/textshape/TextTool.cpp:1006
#33 0xf7c1fc30 in KoToolProxy::keyPressEvent (this=0x89823e8, event=0xffffc814) at /home/pusling/git/calligra/libs/flake/KoToolProxy.cpp:369
#34 0xf21fc561 in KWCanvas::keyPressEvent (this=0x8981b58, e=0xffffc814) at /home/pusling/git/calligra/words/part/KWCanvas.cpp:117
#35 0xf656d3ff in QWidget::event (this=0x8981b58, event=0xffffc814) at kernel/qwidget.cpp:8294
#36 0xf21fc517 in KWCanvas::event (this=0x8981b58, e=0xffffc814) at /home/pusling/git/calligra/words/part/KWCanvas.cpp:112
#37 0xf65130a4 in notify_helper (this=0x8098528, receiver=0x8981b58, e=0xffffc814) at kernel/qapplication.cpp:4467
#38 QApplicationPrivate::notify_helper (this=0x8098528, receiver=0x8981b58, e=0xffffc814) at kernel/qapplication.cpp:4439
#39 0xf6518d10 in QApplication::notify (this=0xffffc6c4, receiver=0x8981b58, e=0xffffc814) at kernel/qapplication.cpp:3926
#40 0xf707bcf1 in KApplication::notify (this=0xffffd1ac, receiver=0x8981b58, event=0xffffc814) at ../../kdeui/kernel/kapplication.cpp:311
#41 0xf5dd6a9e in QCoreApplication::notifyInternal (this=0xffffd1ac, receiver=0x8981b58, event=0xffffc814) at kernel/qcoreapplication.cpp:731
#42 0xf651119d in sendSpontaneousEvent (receiver=0x8981b58, event=0xffffc814) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#43 qt_sendSpontaneousEvent (receiver=0x8981b58, event=0xffffc814) at kernel/qapplication.cpp:5461
#44 0xf65c3aa0 in QKeyMapper::sendKeyEvent (keyWidget=0x8981b58, grab=false, type=QEvent::KeyPress, code=16777219, modifiers=..., text=..., autorepeat=false, count=1, nativeScanCode=4294948540, nativeVirtualKey=4294948540, nativeModifiers=4294948540) at kernel/qkeymapper_x11.cpp:1866
#45 0xf65c3f18 in QKeyMapperPrivate::translateKeyEvent (this=0x80c72c8, keyWidget=0x8981b58, event=0xffffce10, grab=false) at kernel/qkeymapper_x11.cpp:1836
#46 0xf659c2ad in QApplication::x11ProcessEvent (this=0xffffd1ac, event=0xffffce10) at kernel/qapplication_x11.cpp:3484
#47 0xf65c83fc in x11EventSourceDispatch (s=0x809b800, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#48 0xf4e09252 in g_main_dispatch (context=0x809aa88) at /build/buildd-glib2.0_2.28.6-1-i386-A3fp41/glib2.0-2.28.6/./glib/gmain.c:2440
#49 g_main_context_dispatch (context=0x809aa88) at /build/buildd-glib2.0_2.28.6-1-i386-A3fp41/glib2.0-2.28.6/./glib/gmain.c:3013
#50 0xf4e09a30 in g_main_context_iterate (context=0x809aa88, block=1, dispatch=1, self=<value optimized out>) at /build/buildd-glib2.0_2.28.6-1-i386-A3fp41/glib2.0-2.28.6/./glib/gmain.c:3091
#51 0xf4e09ce4 in g_main_context_iteration (context=0x809aa88, may_block=1) at /build/buildd-glib2.0_2.28.6-1-i386-A3fp41/glib2.0-2.28.6/./glib/gmain.c:3154
#52 0xf5e04cc7 in QEventDispatcherGlib::processEvents (this=0x8095478, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#53 0xf65c801a in QGuiEventDispatcherGlib::processEvents (this=0x8095478, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#54 0xf5dd5abd in QEventLoop::processEvents (this=0xffffd134, flags=...) at kernel/qeventloop.cpp:149
#55 0xf5dd5d01 in QEventLoop::exec (this=0xffffd134, flags=...) at kernel/qeventloop.cpp:201
#56 0xf5dda45a in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#57 0xf6510f24 in QApplication::exec () at kernel/qapplication.cpp:3741
#58 0xf7fdbadd in kdemain (argc=1, argv=0xffffd2c4) at /home/pusling/git/calligra/words/part/main.cpp:43
#59 0x080486db in main (argc=1, argv=0xffffd2c4) at /home/pusling/git/calligra/build/words/part/words_dummy.cpp:3

Later on I got some of these:

#0  QTextFormat::QTextFormat (this=0xffffb5c0) at text/qtextformat.cpp:739
#1  0xf67ab7ab in QTextBlock::blockFormat (this=0xffffb6ec) at text/qtextobject.cpp:1095
#2  0xf574700b in KoTextLayoutArea::selectionBoundingBox (this=0x89571a0, cursor=...) at /home/pusling/git/calligra/libs/textlayout/KoTextLayoutArea.cpp:224
#3  0xf575d473 in KoTextDocumentLayout::selectionBoundingBox (this=0x87966d0, cursor=...) at /home/pusling/git/calligra/libs/textlayout/KoTextDocumentLayout.cpp:191
#4  0xf1893f05 in TextTool::textRect (this=0x899e010, cursor=...) at /home/pusling/git/calligra/plugins/textshape/TextTool.cpp:1482
#5  0xf1893f96 in TextTool::caretRect (this=0x899e010, cursor=0x87c76d4) at /home/pusling/git/calligra/plugins/textshape/TextTool.cpp:1474
#6  0xf189419b in TextTool::inputMethodQuery (this=0x899e010, query=Qt::ImMicroFocus, converter=...) at /home/pusling/git/calligra/plugins/textshape/TextTool.cpp:1134
#7  0xf7c1fd55 in KoToolProxy::inputMethodQuery (this=0x89823e8, query=Qt::ImMicroFocus, converter=...) at /home/pusling/git/calligra/libs/flake/KoToolProxy.cpp:402
#8  0xf21fc629 in KWCanvas::inputMethodQuery (this=0x8981b58, query=Qt::ImMicroFocus) at /home/pusling/git/calligra/words/part/KWCanvas.cpp:129
#9  0xf6b59d1a in QXIMInputContext::update (this=0x855d1f8) at inputmethod/qximinputcontext_x11.cpp:819
#10 0xf6561c58 in QWidget::updateMicroFocus (this=0x8e139b8) at kernel/qwidget.cpp:11214
#11 0xf656fddc in QWidget::qt_metacall (this=0x8e139b8, _c=QMetaObject::InvokeMetaMethod, _id=21, _a=0xffffbc28) at .moc/release-shared/moc_qwidget.cpp:212
#12 0xf6980222 in QLineEdit::qt_metacall (this=0x8e139b8, _c=QMetaObject::InvokeMetaMethod, _id=25, _a=0xffffbc28) at .moc/release-shared/moc_qlineedit.cpp:153
#13 0xf5ddce4d in metacall (object=0x8e139b8, cl=QMetaObject::InvokeMetaMethod, idx=25, argv=0xffffbc28) at kernel/qmetaobject.cpp:237
#14 QMetaObject::metacall (object=0x8e139b8, cl=QMetaObject::InvokeMetaMethod, idx=25, argv=0xffffbc28) at kernel/qmetaobject.cpp:232
#15 0xf5debb90 in QMetaObject::activate (sender=0x8e13b78, m=0xf6e675d8, local_signal_index=3, argv=0xffffbc28) at kernel/qobject.cpp:3278
#16 0xf6c265b5 in QLineControl::textChanged (this=0x8e13b78, _t1=...) at .moc/release-shared/moc_qlinecontrol_p.cpp:131
#17 0xf698546a in QLineControl::finishChange (this=0x8e13b78, validateFromState=-1, update=true, edited=false) at widgets/qlinecontrol.cpp:605
#18 0xf6985730 in QLineControl::internalSetText (this=0x8e13b78, txt=..., pos=2, edited=false) at widgets/qlinecontrol.cpp:636
#19 0xf697d5ec in setText (this=0x8e139b8, text=...) at ../../include/QtGui/private/../../../src/gui/widgets/qlinecontrol_p.h:204
#20 QLineEdit::setText (this=0x8e139b8, text=...) at widgets/qlineedit.cpp:386
#21 0xf2220ae8 in KWStatusBar::updateCursorPosition (this=0x8dff218) at /home/pusling/git/calligra/words/part/KWStatusBar.cpp:319
#22 0xf21efbd8 in KWStatusBar::qt_metacall (this=0x8dff218, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xffffbe54) at /home/pusling/git/calligra/build/words/part/moc_KWStatusBar.cpp:113
#23 0xf5ddce4d in metacall (object=0x8dff218, cl=QMetaObject::InvokeMetaMethod, idx=12, argv=0xffffbe54) at kernel/qmetaobject.cpp:237
#24 QMetaObject::metacall (object=0x8dff218, cl=QMetaObject::InvokeMetaMethod, idx=12, argv=0xffffbe54) at kernel/qmetaobject.cpp:232
#25 0xf5debb90 in QMetaObject::activate (sender=0x87c5a00, m=0xf7def340, local_signal_index=1, argv=0x0) at kernel/qobject.cpp:3278
#26 0xf7cfc0b5 in KoTextEditor::cursorPositionChanged (this=0x87c5a00) at /home/pusling/git/calligra/build/libs/kotext/KoTextEditor.moc:367
#27 0xf7cfc9f1 in KoTextEditor::deleteChar (this=0x87c5a00) at /home/pusling/git/calligra/libs/kotext/KoTextEditor.cpp:892
#28 0xf18e117a in DeleteCommand::deleteSelection (this=0x90d3db8) at /home/pusling/git/calligra/plugins/textshape/commands/DeleteCommand.cpp:152
#29 0xf18e1250 in DeleteCommand::deletePreviousChar (this=0x90d3db8) at /home/pusling/git/calligra/plugins/textshape/commands/DeleteCommand.cpp:109
#30 0xf18e1726 in DeleteCommand::redo (this=0x90d3db8) at /home/pusling/git/calligra/plugins/textshape/commands/DeleteCommand.cpp:72
#31 0xf5708662 in KUndo2QStack::push (this=0x825a070, cmd=0x90d3db8) at /home/pusling/git/calligra/libs/kundo2/kundo2stack.cpp:562
#32 0xf7cf795c in KoTextEditor::addCommand (this=0x87c5a00, command=0x90d3db8, addCommandToStack=true) at /home/pusling/git/calligra/libs/kotext/KoTextEditor.cpp:327
#33 0xf189c4ce in TextTool::keyPressEvent (this=0x899e010, event=0xffffc814) at /home/pusling/git/calligra/plugins/textshape/TextTool.cpp:1006
#34 0xf7c1fc30 in KoToolProxy::keyPressEvent (this=0x89823e8, event=0xffffc814) at /home/pusling/git/calligra/libs/flake/KoToolProxy.cpp:369
#35 0xf21fc561 in KWCanvas::keyPressEvent (this=0x8981b58, e=0xffffc814) at /home/pusling/git/calligra/words/part/KWCanvas.cpp:117
#36 0xf656d3ff in QWidget::event (this=0x8981b58, event=0xffffc814) at kernel/qwidget.cpp:8294
#37 0xf21fc517 in KWCanvas::event (this=0x8981b58, e=0xffffc814) at /home/pusling/git/calligra/words/part/KWCanvas.cpp:112
#38 0xf65130a4 in notify_helper (this=0x8098528, receiver=0x8981b58, e=0xffffc814) at kernel/qapplication.cpp:4467
#39 QApplicationPrivate::notify_helper (this=0x8098528, receiver=0x8981b58, e=0xffffc814) at kernel/qapplication.cpp:4439
#40 0xf6518d10 in QApplication::notify (this=0xffffc6c4, receiver=0x8981b58, e=0xffffc814) at kernel/qapplication.cpp:3926
#41 0xf707bcf1 in KApplication::notify (this=0xffffd1ac, receiver=0x8981b58, event=0xffffc814) at ../../kdeui/kernel/kapplication.cpp:311
#42 0xf5dd6a9e in QCoreApplication::notifyInternal (this=0xffffd1ac, receiver=0x8981b58, event=0xffffc814) at kernel/qcoreapplication.cpp:731
#43 0xf651119d in sendSpontaneousEvent (receiver=0x8981b58, event=0xffffc814) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#44 qt_sendSpontaneousEvent (receiver=0x8981b58, event=0xffffc814) at kernel/qapplication.cpp:5461
#45 0xf65c3aa0 in QKeyMapper::sendKeyEvent (keyWidget=0x8981b58, grab=false, type=QEvent::KeyPress, code=16777219, modifiers=..., text=..., autorepeat=false, count=1, nativeScanCode=142383320, nativeVirtualKey=142383320, nativeModifiers=142383320) at kernel/qkeymapper_x11.cpp:1866
#46 0xf65c3f18 in QKeyMapperPrivate::translateKeyEvent (this=0x80c72c8, keyWidget=0x8981b58, event=0xffffce10, grab=false) at kernel/qkeymapper_x11.cpp:1836
#47 0xf659c2ad in QApplication::x11ProcessEvent (this=0xffffd1ac, event=0xffffce10) at kernel/qapplication_x11.cpp:3484
#48 0xf65c83fc in x11EventSourceDispatch (s=0x809b800, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#49 0xf4e09252 in g_main_dispatch (context=0x809aa88) at /build/buildd-glib2.0_2.28.6-1-i386-A3fp41/glib2.0-2.28.6/./glib/gmain.c:2440
#50 g_main_context_dispatch (context=0x809aa88) at /build/buildd-glib2.0_2.28.6-1-i386-A3fp41/glib2.0-2.28.6/./glib/gmain.c:3013
#51 0xf4e09a30 in g_main_context_iterate (context=0x809aa88, block=1, dispatch=1, self=<value optimized out>) at /build/buildd-glib2.0_2.28.6-1-i386-A3fp41/glib2.0-2.28.6/./glib/gmain.c:3091
#52 0xf4e09ce4 in g_main_context_iteration (context=0x809aa88, may_block=1) at /build/buildd-glib2.0_2.28.6-1-i386-A3fp41/glib2.0-2.28.6/./glib/gmain.c:3154
#53 0xf5e04cc7 in QEventDispatcherGlib::processEvents (this=0x8095478, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#54 0xf65c801a in QGuiEventDispatcherGlib::processEvents (this=0x8095478, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#55 0xf5dd5abd in QEventLoop::processEvents (this=0xffffd134, flags=...) at kernel/qeventloop.cpp:149
#56 0xf5dd5d01 in QEventLoop::exec (this=0xffffd134, flags=...) at kernel/qeventloop.cpp:201
#57 0xf5dda45a in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#58 0xf6510f24 in QApplication::exec () at kernel/qapplication.cpp:3741
#59 0xf7fdbadd in kdemain (argc=1, argv=0xffffd2c4) at /home/pusling/git/calligra/words/part/main.cpp:43
#60 0x080486db in main (argc=1, argv=0xffffd2c4) at /home/pusling/git/calligra/build/words/part/words_dummy.cpp:3

and later on some of:
#0  0xf67ac4de in QTextFrame::iterator::operator++ (this=0xffffb6bc) at text/qtextobject.cpp:754
#1  0xf5746f9f in KoTextLayoutArea::selectionBoundingBox (this=0x89571a0, cursor=...) at /home/pusling/git/calligra/libs/textlayout/KoTextLayoutArea.cpp:220
#2  0xf575d473 in KoTextDocumentLayout::selectionBoundingBox (this=0x87966d0, cursor=...) at /home/pusling/git/calligra/libs/textlayout/KoTextDocumentLayout.cpp:191
#3  0xf1893f05 in TextTool::textRect (this=0x899e010, cursor=...) at /home/pusling/git/calligra/plugins/textshape/TextTool.cpp:1482
#4  0xf1893f96 in TextTool::caretRect (this=0x899e010, cursor=0x87c76d4) at /home/pusling/git/calligra/plugins/textshape/TextTool.cpp:1474
#5  0xf189419b in TextTool::inputMethodQuery (this=0x899e010, query=Qt::ImMicroFocus, converter=...) at /home/pusling/git/calligra/plugins/textshape/TextTool.cpp:1134
#6  0xf7c1fd55 in KoToolProxy::inputMethodQuery (this=0x89823e8, query=Qt::ImMicroFocus, converter=...) at /home/pusling/git/calligra/libs/flake/KoToolProxy.cpp:402
#7  0xf21fc629 in KWCanvas::inputMethodQuery (this=0x8981b58, query=Qt::ImMicroFocus) at /home/pusling/git/calligra/words/part/KWCanvas.cpp:129
#8  0xf6b59d1a in QXIMInputContext::update (this=0x855d1f8) at inputmethod/qximinputcontext_x11.cpp:819
#9  0xf6561c58 in QWidget::updateMicroFocus (this=0x8e139b8) at kernel/qwidget.cpp:11214
#10 0xf656fddc in QWidget::qt_metacall (this=0x8e139b8, _c=QMetaObject::InvokeMetaMethod, _id=21, _a=0xffffbc28) at .moc/release-shared/moc_qwidget.cpp:212
#11 0xf6980222 in QLineEdit::qt_metacall (this=0x8e139b8, _c=QMetaObject::InvokeMetaMethod, _id=25, _a=0xffffbc28) at .moc/release-shared/moc_qlineedit.cpp:153
#12 0xf5ddce4d in metacall (object=0x8e139b8, cl=QMetaObject::InvokeMetaMethod, idx=25, argv=0xffffbc28) at kernel/qmetaobject.cpp:237
#13 QMetaObject::metacall (object=0x8e139b8, cl=QMetaObject::InvokeMetaMethod, idx=25, argv=0xffffbc28) at kernel/qmetaobject.cpp:232
#14 0xf5debb90 in QMetaObject::activate (sender=0x8e13b78, m=0xf6e675d8, local_signal_index=3, argv=0xffffbc28) at kernel/qobject.cpp:3278
#15 0xf6c265b5 in QLineControl::textChanged (this=0x8e13b78, _t1=...) at .moc/release-shared/moc_qlinecontrol_p.cpp:131
#16 0xf698546a in QLineControl::finishChange (this=0x8e13b78, validateFromState=-1, update=true, edited=false) at widgets/qlinecontrol.cpp:605
#17 0xf6985730 in QLineControl::internalSetText (this=0x8e13b78, txt=..., pos=2, edited=false) at widgets/qlinecontrol.cpp:636
#18 0xf697d5ec in setText (this=0x8e139b8, text=...) at ../../include/QtGui/private/../../../src/gui/widgets/qlinecontrol_p.h:204
#19 QLineEdit::setText (this=0x8e139b8, text=...) at widgets/qlineedit.cpp:386
#20 0xf2220ae8 in KWStatusBar::updateCursorPosition (this=0x8dff218) at /home/pusling/git/calligra/words/part/KWStatusBar.cpp:319
#21 0xf21efbd8 in KWStatusBar::qt_metacall (this=0x8dff218, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xffffbe54) at /home/pusling/git/calligra/build/words/part/moc_KWStatusBar.cpp:113
#22 0xf5ddce4d in metacall (object=0x8dff218, cl=QMetaObject::InvokeMetaMethod, idx=12, argv=0xffffbe54) at kernel/qmetaobject.cpp:237
#23 QMetaObject::metacall (object=0x8dff218, cl=QMetaObject::InvokeMetaMethod, idx=12, argv=0xffffbe54) at kernel/qmetaobject.cpp:232
#24 0xf5debb90 in QMetaObject::activate (sender=0x87c5a00, m=0xf7def340, local_signal_index=1, argv=0x0) at kernel/qobject.cpp:3278
#25 0xf7cfc0b5 in KoTextEditor::cursorPositionChanged (this=0x87c5a00) at /home/pusling/git/calligra/build/libs/kotext/KoTextEditor.moc:367
#26 0xf7cfc9f1 in KoTextEditor::deleteChar (this=0x87c5a00) at /home/pusling/git/calligra/libs/kotext/KoTextEditor.cpp:892
#27 0xf18e117a in DeleteCommand::deleteSelection (this=0x90d3db8) at /home/pusling/git/calligra/plugins/textshape/commands/DeleteCommand.cpp:152
#28 0xf18e1250 in DeleteCommand::deletePreviousChar (this=0x90d3db8) at /home/pusling/git/calligra/plugins/textshape/commands/DeleteCommand.cpp:109
#29 0xf18e1726 in DeleteCommand::redo (this=0x90d3db8) at /home/pusling/git/calligra/plugins/textshape/commands/DeleteCommand.cpp:72
#30 0xf5708662 in KUndo2QStack::push (this=0x825a070, cmd=0x90d3db8) at /home/pusling/git/calligra/libs/kundo2/kundo2stack.cpp:562
#31 0xf7cf795c in KoTextEditor::addCommand (this=0x87c5a00, command=0x90d3db8, addCommandToStack=true) at /home/pusling/git/calligra/libs/kotext/KoTextEditor.cpp:327
#32 0xf189c4ce in TextTool::keyPressEvent (this=0x899e010, event=0xffffc814) at /home/pusling/git/calligra/plugins/textshape/TextTool.cpp:1006
#33 0xf7c1fc30 in KoToolProxy::keyPressEvent (this=0x89823e8, event=0xffffc814) at /home/pusling/git/calligra/libs/flake/KoToolProxy.cpp:369
#34 0xf21fc561 in KWCanvas::keyPressEvent (this=0x8981b58, e=0xffffc814) at /home/pusling/git/calligra/words/part/KWCanvas.cpp:117
#35 0xf656d3ff in QWidget::event (this=0x8981b58, event=0xffffc814) at kernel/qwidget.cpp:8294
#36 0xf21fc517 in KWCanvas::event (this=0x8981b58, e=0xffffc814) at /home/pusling/git/calligra/words/part/KWCanvas.cpp:112
#37 0xf65130a4 in notify_helper (this=0x8098528, receiver=0x8981b58, e=0xffffc814) at kernel/qapplication.cpp:4467
#38 QApplicationPrivate::notify_helper (this=0x8098528, receiver=0x8981b58, e=0xffffc814) at kernel/qapplication.cpp:4439
#39 0xf6518d10 in QApplication::notify (this=0xffffc6c4, receiver=0x8981b58, e=0xffffc814) at kernel/qapplication.cpp:3926
#40 0xf707bcf1 in KApplication::notify (this=0xffffd1ac, receiver=0x8981b58, event=0xffffc814) at ../../kdeui/kernel/kapplication.cpp:311
#41 0xf5dd6a9e in QCoreApplication::notifyInternal (this=0xffffd1ac, receiver=0x8981b58, event=0xffffc814) at kernel/qcoreapplication.cpp:731
#42 0xf651119d in sendSpontaneousEvent (receiver=0x8981b58, event=0xffffc814) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#43 qt_sendSpontaneousEvent (receiver=0x8981b58, event=0xffffc814) at kernel/qapplication.cpp:5461
#44 0xf65c3aa0 in QKeyMapper::sendKeyEvent (keyWidget=0x8981b58, grab=false, type=QEvent::KeyPress, code=16777219, modifiers=..., text=..., autorepeat=false, count=1, nativeScanCode=4294948596, nativeVirtualKey=4294948596, nativeModifiers=4294948596) at kernel/qkeymapper_x11.cpp:1866
#45 0xf65c3f18 in QKeyMapperPrivate::translateKeyEvent (this=0x80c72c8, keyWidget=0x8981b58, event=0xffffce10, grab=false) at kernel/qkeymapper_x11.cpp:1836
#46 0xf659c2ad in QApplication::x11ProcessEvent (this=0xffffd1ac, event=0xffffce10) at kernel/qapplication_x11.cpp:3484
#47 0xf65c83fc in x11EventSourceDispatch (s=0x809b800, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#48 0xf4e09252 in g_main_dispatch (context=0x809aa88) at /build/buildd-glib2.0_2.28.6-1-i386-A3fp41/glib2.0-2.28.6/./glib/gmain.c:2440
#49 g_main_context_dispatch (context=0x809aa88) at /build/buildd-glib2.0_2.28.6-1-i386-A3fp41/glib2.0-2.28.6/./glib/gmain.c:3013
#50 0xf4e09a30 in g_main_context_iterate (context=0x809aa88, block=1, dispatch=1, self=<value optimized out>) at /build/buildd-glib2.0_2.28.6-1-i386-A3fp41/glib2.0-2.28.6/./glib/gmain.c:3091
#51 0xf4e09ce4 in g_main_context_iteration (context=0x809aa88, may_block=1) at /build/buildd-glib2.0_2.28.6-1-i386-A3fp41/glib2.0-2.28.6/./glib/gmain.c:3154
#52 0xf5e04cc7 in QEventDispatcherGlib::processEvents (this=0x8095478, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#53 0xf65c801a in QGuiEventDispatcherGlib::processEvents (this=0x8095478, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#54 0xf5dd5abd in QEventLoop::processEvents (this=0xffffd134, flags=...) at kernel/qeventloop.cpp:149
#55 0xf5dd5d01 in QEventLoop::exec (this=0xffffd134, flags=...) at kernel/qeventloop.cpp:201
#56 0xf5dda45a in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#57 0xf6510f24 in QApplication::exec () at kernel/qapplication.cpp:3741
#58 0xf7fdbadd in kdemain (argc=1, argv=0xffffd2c4) at /home/pusling/git/calligra/words/part/main.cpp:43
#59 0x080486db in main (argc=1, argv=0xffffd2c4) at /home/pusling/git/calligra/build/words/part/words_dummy.cpp:3


I cannot reproduce it with another document
Comment 4 Sebastian Sauer 2011-07-05 09:15:43 UTC
Ingwa is able to reproduce the case too.
Comment 5 Sebastian Sauer 2011-07-05 09:59:46 UTC
Alternate way which I can reproduce;

[11:15] <svuorela> 1) create a empty document
[11:15] <svuorela> 2) paste in a page of lorem ipsum text
[11:16] <svuorela> 3) make 1.5 line spacing
[11:17] <svuorela> 4) insert a newline in the middle of the last line on first 
page
[11:17] <svuorela> 5) select everything on page 2
[11:17] <svuorela> 6)_press backspace and once again
Comment 6 Sebastian Sauer 2011-07-05 10:06:03 UTC
After commit 12c6979d05c50f1d6d66638e74bdc735ad3ff19c I get now;

[KCrash Handler]
#6  0xb5ee8195 in QFragmentMapData<QTextBlockData>::next (this=0x8307fbc, n=7143472) at ../../src/gui/text/qfragmentmap_p.h:294
#7  0xb5ee6b6d in next (this=0xbff37df4) at ../../src/gui/text/qfragmentmap_p.h:857
#8  QTextFrame::iterator::operator++ (this=0xbff37df4) at text/qtextobject.cpp:732
#9  0xb4faed3c in KoTextLayoutArea::selectionBoundingBox (this=0x8790090, cursor=...) at /home/kdab/src/kde/calligra/libs/textlayout/KoTextLayoutArea.cpp:221
#10 0xb4fc8d57 in KoTextDocumentLayout::selectionBoundingBox (this=0x82ddb08, cursor=...) at /home/kdab/src/kde/calligra/libs/textlayout/KoTextDocumentLayout.cpp:191
#11 0xafa02faf in TextTool::textRect (this=0x850c0c0, cursor=...) at /home/kdab/src/kde/calligra/plugins/textshape/TextTool.cpp:1490
#12 0xafa02f32 in TextTool::caretRect (this=0x850c0c0, cursor=0x82c2934) at /home/kdab/src/kde/calligra/plugins/textshape/TextTool.cpp:1482
#13 0xafa01060 in TextTool::inputMethodQuery (this=0x850c0c0, query=Qt::ImMicroFocus, converter=...) at /home/kdab/src/kde/calligra/plugins/textshape/TextTool.cpp:1142
#14 0xb7426a85 in KoToolProxy::inputMethodQuery (this=0x84f20b0, query=Qt::ImMicroFocus, converter=...) at /home/kdab/src/kde/calligra/libs/flake/KoToolProxy.cpp:402
#15 0xb040e36e in KWCanvas::inputMethodQuery (this=0x84f1780, query=Qt::ImMicroFocus) at /home/kdab/src/kde/calligra/words/part/KWCanvas.cpp:129
#16 0xb629c51a in QXIMInputContext::update (this=0x85a86a8) at inputmethod/qximinputcontext_x11.cpp:819
#17 0xb5c93378 in QWidget::updateMicroFocus (this=0x86cbef8) at kernel/qwidget.cpp:11106

Looks as we are not proper deleting the root-area what results then in us dealing with an invalid QTextFrame::iterator.
Comment 7 Sebastian Sauer 2011-07-07 17:45:42 UTC
Fixed with ce25593395242c981eeeba1bc285f971bb50940f . Lot of lot of lot of thanks Sune! :)